<h2>Ejercicio 4</h2>

<div>
  <form [formGroup] = "formulario" (ngSubmit)="guardar()"> 


    <div class="izquierda">
      <button mat-raised-button type="button" (click)="adicionar()">Adicionar</button>
    </div>


    <div class="medio">
      <div formArrayName = "cajaPeque" *ngFor="let s of contenidoPeque.controls; let i = index">

        <mat-form-field class="example-full-width" appearance="fill" >
          <mat-label>Nombre</mat-label>
          <input 
          matInput
          #message
          maxlength="300"
          [formControlName]="i"
          required>
        </mat-form-field>

            <!-- boton limpiar caja dinamica -->
        <button mat-raised-button type="reset" (click)="limpiarCajaPeque(i)">Limpiar caja Pequeña</button>

         <!-- eliminar caja dinamica -->
         <button mat-raised-button color="warn" type="button" (click)="eliminarCaja(i)">Eliminar</button>

      </div>

      <div class="der-medio">
        <!-- limpiar  Todas las cajas -->
        <button mat-raised-button type="button" (click)="limpiarCajaGrande()">Limpiar Caja Grande</button> 
      </div> 


        <mat-form-field class="example-full-width" appearance="fill">
        <textarea matInput  cols="38" 
        rows="7">{{contenidoCajaGrande}}</textarea>
      </mat-form-field>
     
    </div>




      <div class="derecha"> 
        <div class="izq-derecha">
        <!-- Guardar -->
        <button  type="submit" mat-raised-button (click)="guardar()"[disabled] ="formulario.invalid">Guardar</button>

        <!-- reset -->
        <button mat-raised-button  type="reset" (click)="limpiarTodo()">Limpiar Todo </button>

        </div>
      </div>



   


  </form>
</div>